Bug 1388450 (CVE-2016-9011) - CVE-2016-9011 libwmf: Memory allocation failure in wmf_malloc
Summary: CVE-2016-9011 libwmf: Memory allocation failure in wmf_malloc
Status: CLOSED WONTFIX
Alias: CVE-2016-9011
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161018,reported=2...
Keywords: Security
Depends On: 1388451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 11:48 UTC by Andrej Nemec
Modified: 2019-06-08 21:32 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-25 11:51:18 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-25 11:48:14 UTC
A memory allocation failure in function wmf_malloc in api.c was reported in libwmf. Opening a maliciously crafted file could cause the application to crash.

References:

http://seclists.org/oss-sec/2016/q4/176

External References:

https://blogs.gentoo.org/ago/2016/10/18/libwmf-memory-allocation-failure-in-wmf_malloc-api-c/

Comment 1 Andrej Nemec 2016-10-25 11:48:53 UTC
Created libwmf tracking bugs for this issue:

Affects: fedora-all [bug 1388451]


Note You need to log in before you can comment on or make changes to this bug.